# @caronsale/landing-page-webflow-scripts
Collection of scripts for [caronsale.de](https://www.caronsale.de).

# TODO:
- [ ] testing with jest
- [ ] cd/ci automation with semantic releases 
- [ ] integrating typescript

## Use via cdn
```html
<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/@caronsale/landing-page-webflow-scripts${version}/dist/index.standalone.umd.js" ></script>
```

## How to publish

1. Make sure your .npmrc is set correctly. The token can be found in 1Password
```
echo "//registry.npmjs.org/:_authToken=\${NPM_TOKEN}" >> $HOME/.npmrc 2> /dev/null
```

2. Bundling
```
npm run build
```

3. Publishing
```
npm publish
```
