/**
 * handles click events for `Innovative Funktionen` section
 * @type {{init: innovativeFunctions.init}}
 */
export const innovativeFunctions = (() => ({
  init: function () {
    // cos functions item click events
    const $cosFuntionItems = $('.function-item');
    $cosFuntionItems.on('click', function (e) {
      if ($(e.target).parents('.active').length > 0) {
        return;
      } else if (e.target.classList.contains('active')) {
        return;
      }

      $cosFuntionItems.each(function () {
        $(this).removeClass('active');
      });

      let target;
      if ($(e.target).parents('.function-item').length > 0) {
        $(e.target).parents('.function-item').addClass('active');
        target = $(e.target).parents('.function-item').data('target');
      } else {
        $(e.target).addClass('active');
        target = $(e.target).data('target');
      }

      $('.function-image').each(function () {
        $(this).addClass('invisible');
      });

      $('.function-text').each(function () {
        $(this).addClass('invisible');
      });

      window.setTimeout(function () {
        $('.function-image').each(function () {
          if ($(this).data('target') == target) {
            $(this).removeClass('invisible');
          }
        });

        $('.function-text').each(function () {
          if ($(this).data('target') == target) {
            $(this).removeClass('invisible');
          }
        });
      }, 300);
    });
  }
}))();
